fedora12 安装 linuxqq

Posted by 老沙
1月 23 2010

linuxqq以好久不更新了,先鄙视一下
su –
yum localinstall /home/linuxqq-v1.0.2-beta1.i386.rpm –nogpgcheck

然后修改/usr/bin/qq改为下边这样

#!/bin/sh
export GDK_NATIVE_WINDOWS=true
cd /usr/share/tencent/qq/
./qq

出现的错误,和解决方法.就是缺什么安什么啦,哈哈哈,之后就可以用ibus输入法了

[ssj@main linuxqq_v1.0.2-beta1_i386]$ ./qq
./qq: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory

yum install libgtk-x11-2.0.so.0

================================================================================
软件包               架构   版本                仓库                      大小
================================================================================
正在安装:
gtk2                 i686   2.18.6-1.fc12       updates                  3.2 M
为依赖而安装:
atk                  i686   1.28.0-1.fc12       fedora                   169 k
audit-libs           i686   2.0.4-1.fc12        updates                   61 k
avahi                i686   0.6.25-5.fc12       fedora                   232 k
cairo                i686   1.8.8-3.fc12        fedora                   296 k
cups-libs            i686   1:1.4.2-20.fc12     updates                  320 k
dbus-libs            i686   1:1.2.16-9.fc12     updates                  127 k
expat                i686   2.0.1-8.fc12        updates                   78 k
fontconfig           i686   2.8.0-1.fc12        updates                  186 k
freetype-freeworld   i686   2.3.11-1.fc12       rpmfusion-free-updates   376 k
gamin                i686   0.1.10-5.fc12       fedora                   106 k
glib2                i686   2.22.3-2.fc12       updates                  1.1 M
gnutls               i686   2.8.5-1.fc12        fedora                   343 k
jasper-libs          i686   1.900.1-14.fc12     fedora                   140 k
keyutils-libs        i686   1.2-6.fc12          fedora                    18 k
krb5-libs            i686   1.7-18.fc12         updates                  653 k
libX11               i686   1.3-1.fc12          fedora                   585 k
libXau               i686   1.0.5-1.fc12        fedora                    21 k
libXcomposite        i686   0.4.1-2.fc12        fedora                    17 k
libXcursor           i686   1.1.10-1.fc12       fedora                    31 k
libXdamage           i686   1.1.2-1.fc12        fedora                    16 k
libXext              i686   1.1-2.fc12          updates                   33 k
libXfixes            i686   4.0.4-1.fc12        fedora                    19 k
libXft               i686   2.1.13-4.fc12       fedora                    46 k
libXi                i686   1.3-1.fc12          fedora                    31 k
libXinerama          i686   1.1-1.fc12          fedora                    15 k
libXrandr            i686   1.3.0-3.fc12        fedora                    28 k
libXrender           i686   0.9.5-1.fc12        fedora                    26 k
libattr              i686   2.4.44-1.fc12       updates                   14 k
libcap               i686   2.16-5.fc12         fedora                    29 k
libcap-ng            i686   0.6.2-3.fc12        fedora                    20 k
libcom_err           i686   1.41.9-5.fc12       fedora                    32 k
libdaemon            i686   0.14-1.fc12         fedora                    27 k
libgcrypt            i686   1.4.4-8.fc12        fedora                   197 k
libgpg-error         i686   1.6-4               fedora                    53 k
libjpeg              i686   6b-46.fc12          fedora                   126 k
libpng               i686   2:1.2.39-1.fc12     fedora                   165 k
libselinux           i686   2.0.87-1.fc12       fedora                   104 k
libstdc++            i686   4.4.2-20.fc12       updates                  275 k
libtasn1             i686   2.3-1.fc12          fedora                   233 k
libthai              i686   0.1.12-2.fc12       fedora                   169 k
libtiff              i686   3.9.2-3.fc12        updates                  335 k
libxcb               i686   1.5-1.fc12          updates                  103 k
pango                i686   1.26.2-1.fc12       updates                  345 k
pixman               i686   0.16.4-2.fc12       updates                  145 k
zlib                 i686   1.2.3-23.fc12       fedora                    69 k

事务概要
================================================================================
安装      46 软件包
更新       0 软件包

(qq:3312): Gtk-WARNING **: 无法在模块路径中找到主题引擎:“clearlooks”,
Gtk-Message: Failed to load module “pk-gtk-module”: libpk-gtk-module.so: 无法打开共享对象文件: 没有那个文件或目录
Gtk-Message: Failed to load module “canberra-gtk-module”: libcanberra-gtk-module.so: 无法打开共享对象文件: 没有那个文件或目录

yum install libpk-gtk-module.so

================================================================================
软件包                      架构       版本                仓库           大小
================================================================================
正在安装:
PackageKit-gtk-module       i686       0.5.6-1.fc12        updates        89 k
为依赖而安装:
dbus-glib                   i686       0.82-2.fc12         fedora        149 k

事务概要
================================================================================
安装       2 软件包
更新       0 软件包

yum install libcanberra-gtk-module.so

================================================================================
软件包                       架构    版本                     仓库        大小
================================================================================
正在安装:
libcanberra-gtk2             i686    0.22-1.fc12              fedora      25 k
为依赖而安装:
alsa-lib                     i686    1.0.22-1.fc12            updates    367 k
flac                         i686    1.2.1-6.fc12             fedora     239 k
gstreamer                    i686    0.10.25.1-3.fc12         updates    731 k
jack-audio-connection-kit    i686    0.118.0-1.fc12           updates    173 k
libICE                       i686    1.0.6-1.fc12             fedora      50 k
libSM                        i686    1.1.0-7.fc12             fedora      25 k
libXtst                      i686    1.0.99.2-3.fc12          fedora      21 k
libasyncns                   i686    0.8-1.fc12               fedora      24 k
libavc1394                   i686    0.5.3-9.fc12             fedora      43 k
libcanberra                  i686    0.22-1.fc12              fedora      63 k
libfreebob                   i686    1.0.11-6.fc12            fedora     129 k
libiec61883                  i686    1.2.0-3.fc12             fedora      35 k
libogg                       i686    2:1.1.4-2.fc12           fedora      21 k
libraw1394                   i686    2.0.4-1.fc12             fedora      53 k
libsndfile                   i686    1.0.20-3.fc12            updates    188 k
libtdb                       i686    1.1.5-2.fc12             fedora      25 k
libtool-ltdl                 i686    2.2.6-17.fc12            updates     44 k
libuuid                      i686    2.16.2-5.fc12            updates     58 k
libvorbis                    i686    1:1.2.3-3.fc12           fedora     162 k
libxml2                      i686    2.7.6-1.fc12             fedora     794 k
ncurses-libs                 i686    5.7-3.20090207.fc12      fedora     235 k
pulseaudio-libs              i686    0.9.21-2.fc12            updates    418 k
readline                     i686    6.0-3.fc12               fedora     169 k
sqlite                       i686    3.6.20-1.fc12            updates    307 k
tcp_wrappers-libs            i686    7.6-56.fc12              fedora      59 k

事务概要
================================================================================
安装      26 软件包
更新       0 软件包

总下载量:4.4 M

但是还是会有Gtk-WARNING **: 无法在模块路径中找到主题引擎:“clearlooks”的错误,没办法了,反正不影响使用,先这样吧

==================================================================

补充,上次安装没有遇到,这次发现了问题,按上面的方面如果还不行,就加装ibus-gtk与ibus-libs因为缺少im-ibus.so这个文件吧

命令: yum install im-ibus.so

[root@main ~]# yum install im-bus
已加载插件:presto, refresh-packagekit
设置安装进程
No package im-bus available.
无须任何处理
You have mail in /var/spool/mail/root
[root@main ~]# yum install im-ibus.so
已加载插件:presto, refresh-packagekit
设置安装进程
解决依赖关系
–> 执行事务检查
—> 软件包 ibus-gtk.i686 0:1.2.0.20100111-2.fc12 将被 升级
–> 处理依赖关系 libibus.so.1,它被软件包 ibus-gtk-1.2.0.20100111-2.fc12.i686 需要
–> 执行事务检查
—> 软件包 ibus-libs.i686 0:1.2.0.20100111-2.fc12 将被 升级
–> 完成依赖关系计算

依赖关系解决

================================================================================
软件包           架构        版本                         仓库            大小
================================================================================
正在安装:
ibus-gtk         i686        1.2.0.20100111-2.fc12        updates         23 k
为依赖而安装:
ibus-libs        i686        1.2.0.20100111-2.fc12        updates         93 k

事务概要
================================================================================
安装       2 软件包
更新       0 软件包

总下载量:117 k
确定吗?[y/N]:y
下载软件包:
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 117 k
(1/2): ibus-gtk-1.2.0.20100111-2.fc12.i686.rpm           |  23 kB     00:00
(2/2): ibus-libs-1.2.0.20100111-2.fc12.i686.rpm          |  93 kB     00:00
——————————————————————————–
总计                                             57 kB/s | 117 kB     00:02
运行 rpm_check_debug
执行事务测试
完成事务测试
事务测试成功
执行事务
正在安装       : ibus-libs-1.2.0.20100111-2.fc12.i686                     1/2
正在安装       : ibus-gtk-1.2.0.20100111-2.fc12.i686                      2/2

已安装:
ibus-gtk.i686 0:1.2.0.20100111-2.fc12

作为依赖被安装:
ibus-libs.i686 0:1.2.0.20100111-2.fc12

完毕!

2 Responses

  1. librae说道:

    我的QQ装上了,ibus也有,
    #!/bin/sh
    export GDK_NATIVE_WINDOWS=true
    cd /usr/share/tencent/qq/
    ./qq
    这个也加了,为什么在QQ里还是不能用ibus输入中文啊?是ctrl+space对吧?正常都能用,QQ里就不行,到底应该怎么在QQ里把ibus搞出来?
    哦,对了,我QQ 564343014 希望加个好友,不懂的还想请教你,谢谢~~
    ======================================================
    我已经补充了这个文章,你看看能不能行了?

  2. yu说道:

    按照博主的方法都做了,还是不能输入中文。我是64位系统。还有什么问题吗?
    比如我的和你的有点不一样:
    ibus-gtk-1.2.0.20100111-2.fc12.x86_64 already installed and latest version
    ————————————————————————————————————-
    你安装的是x86_64的包,没有用的,QQ是32位的,要安i686的包,你yum和时候
    直接写缺的库的名字,不要写包的名.

Trackback URL for this entry